# loki.frontend.tests.test_omni

Specific test battery for the OMNI parser frontend.

Functions

`test_array_dimensions`(tmp_path) | Test correct parsing of derived type declarations.
`test_derived_type_definitions`(tmp_path) | Test correct parsing of derived type declarations.

test_derived_type_definitions(tmp_path)

  Test correct parsing of derived type declarations.

test_array_dimensions(tmp_path)

  Test correct parsing of derived type declarations.